import java.io.File;

class FileExists {

     private static void usage() {
         System.err.println("Usage: java FileExists <path/to>");
         System.exit(1);
     }

     public static void main(String[] args) {
         if (args.length != 1) {
             usage();
             System.exit(1);
         }
         File f = new File(args[0]);
         if (!f.exists()) {  // false
             System.out.println(args[0] + " is not found.");
         } else {
             if (f.isFile()) {
                 System.out.println(args[0] + " is file.");
             } else if(f.isDirectory()) {
                 System.out.println(args[0] + " is directory");
             } else {
                 System.out.println(args[0] + " is unknown.");
             }
         }
     }
}
